[SCM] debian-live/live-helper branch, master, updated. 1.0_a31-1-16-gce0c2b4

Daniel Baumann daniel at debian.org
Thu Oct 18 20:29:10 UTC 2007


The branch, master has been updated
       via  ce0c2b4e6497e62cec95165a785e61d46fcbed81 (commit)
       via  7df411ab40979a176a42391fadc529398e0a9e14 (commit)
       via  4ff18b78b6c89eb6a1d6147f522cb6f51cd61bc9 (commit)
      from  b1d10e6a28fa8585f9e21fde1cb9f84553e481f6 (commit)


- Shortlog ------------------------------------------------------------
ce0c2b4 Adding lh_binary_local-packageslists.
7df411a Updating Debian stable release number, thanks to Peter Skogström <peter.skogstrom at bitrunner.com>.
4ff18b7 Fixing typing error, thanks to Peter Skogström <peter.skogstrom at bitrunner.com>.

Summary of changes:
 functions/arguments.sh                |    2 +-
 functions/releases.sh                 |    2 +-
 helpers/lh_binary                     |    1 +
 helpers/lh_binary_local-packageslists |  103 +++++++++++++++++++++++++++++++++
 helpers/lh_config                     |    1 +
 5 files changed, 107 insertions(+), 2 deletions(-)
-----------------------------------------------------------------------
Details of changes:

commit ce0c2b4e6497e62cec95165a785e61d46fcbed81
Author: Daniel Baumann <daniel at debian.org>
Date:   Thu Oct 18 22:28:54 2007 +0200

    Adding lh_binary_local-packageslists.

diff --git a/helpers/lh_binary b/helpers/lh_binary
index b516789..be6dbd0 100755
--- a/helpers/lh_binary
+++ b/helpers/lh_binary
@@ -53,6 +53,7 @@ lh_binary_manifest ${*}
 lh_binary_encryption ${*}
 
 # Prepare images
+lh_binary_local-packageslists ${*}
 lh_binary_linux-image ${*}
 lh_binary_debian-installer ${*}
 lh_binary_memtest ${*}
diff --git a/helpers/lh_binary_local-packageslists b/helpers/lh_binary_local-packageslists
new file mode 100755
index 0000000..45cd309
--- /dev/null
+++ b/helpers/lh_binary_local-packageslists
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# lh_binary_local-packageslists(1) - install local packages lists into binary
+# Copyright (C) 2006-2007 Daniel Baumann <daniel at debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+LH_BASE="${LH_BASE:-/usr/share/live-helper}"
+
+for FUNCTION in "${LH_BASE}"/functions/*.sh
+do
+	. "${FUNCTION}"
+done
+
+# Setting static variables
+DESCRIPTION="install local packages into binary"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/bootstrap
+Read_conffile config/chroot
+Read_conffile config/binary
+Read_conffile config/source
+Read_conffile "${LH_CONFIG}"
+Set_defaults
+
+Echo_message "Begin installing local packages lists..."
+
+# Requiring stage file
+Require_stagefile .stage/bootstrap
+
+# Checking stage file
+Check_stagefile .stage/binary_local-packageslists
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+if ls config/binary_local-packageslists/* > /dev/null 2>&1
+then
+	mkdir -p chroot/binary.deb/archives/partial
+	mv chroot/var/lib/dpkg/status chroot/var/lib/dpkg/status.tmp
+	touch chroot/var/lib/dpkg/status
+
+	for PACKAGESLIST in config/binary_local-packageslists/*
+	do
+		# Generate package list
+		Expand_packagelist "$(basename ${PACKAGESLIST})" "config/binary_local-packageslists" "${LH_BASE:-/usr/share/live-helper/lists}/lists" > chroot/root/"$(basename ${PACKAGESLIST})"
+
+
+		# Downloading additional packages
+		Chroot "xargs --arg-file=/root/$(basename ${PACKAGESLIST}) apt-get -o Dir::Cache=/binary.deb --download-only install --yes"
+	done
+
+	for FILE in binary.deb/archives/*.deb
+	do
+		SOURCE="$(dpkg -f ${FILE} Source | awk '{ print $1 }')"
+
+		if [ -z "${SOURCE}" ]
+		then
+			SOURCE="$(basename ${FILE} | awk -F_ '{ print $1 }')"
+		fi
+
+		case "${SOURCE}" in
+			lib?*)
+				LETTER="$(echo ${SOURCE} | sed 's/\(....\).*/\1/')"
+				;;
+
+			*)
+				LETTER="$(echo ${SOURCE} | sed 's/\(.\).*/\1/')"
+				;;
+		esac
+
+		# Install directory
+		mkdir -p binary/pool/main/"${LETTER}"/"${SOURCE}"
+
+		# Move files
+		mv "${FILE}" binary/pool/main/"${LETTER}"/"${SOURCE}"
+	done
+
+	cd binary
+	mkdir -p dists/${LH_DISTRIBUTION}/main/binary-${LH_ARCHITECTURE}
+	apt-ftparchive packages pool/main > dists/${LH_DISTRIBUTION}/main/binary-${LH_ARCHITECTURE}/Packages
+	gzip -9 -c dists/${LH_DISTRIBUTION}/main/binary-${LH_ARCHITECTURE}/Packages > dists/${LH_DISTRIBUTION}/main/binary-${LH_ARCHITECTURE}/Packages.gz
+	cd "${OLDPWD}"
+
+	rm -rf chroot/binary.deb
+	mv chroot/var/lib/dpkg/status.tmp chroot/var/lib/dpkg/status
+
+	# Creating stage file
+	Create_stagefile .stage/binary_local-packageslists
+fi
diff --git a/helpers/lh_config b/helpers/lh_config
index 7c20e1b..7d8614a 100755
--- a/helpers/lh_config
+++ b/helpers/lh_config
@@ -837,6 +837,7 @@ mkdir -p config/binary_grub
 mkdir -p config/binary_local-debs
 mkdir -p config/binary_local-hooks
 mkdir -p config/binary_local-includes
+mkdir -p config/binary_local-packageslists
 mkdir -p config/binary_local-udebs
 mkdir -p config/binary_rootfs
 mkdir -p config/binary_syslinux

commit 7df411ab40979a176a42391fadc529398e0a9e14
Author: Daniel Baumann <daniel at debian.org>
Date:   Thu Oct 18 22:17:50 2007 +0200

    Updating Debian stable release number, thanks to Peter Skogström <peter.skogstrom at bitrunner.com>.

diff --git a/functions/releases.sh b/functions/releases.sh
index ad57532..0efe677 100755
--- a/functions/releases.sh
+++ b/functions/releases.sh
@@ -10,7 +10,7 @@
 set -e
 
 # Debian releases
-VERSION_etch="4.0 r0"
+VERSION_etch="4.0 r1"
 VERSION_lenny="testing"
 VERSION_sid="unstable"
 

commit 4ff18b78b6c89eb6a1d6147f522cb6f51cd61bc9
Author: Daniel Baumann <daniel at debian.org>
Date:   Thu Oct 18 22:17:04 2007 +0200

    Fixing typing error, thanks to Peter Skogström <peter.skogstrom at bitrunner.com>.

diff --git a/functions/arguments.sh b/functions/arguments.sh
index 7873353..a5ee8dd 100755
--- a/functions/arguments.sh
+++ b/functions/arguments.sh
@@ -29,7 +29,7 @@ Arguments ()
 				shift
 				;;
 
-			-c|-conffile)
+			-c|--conffile)
 				LH_CONFFILE="${2}"
 				shift 2
 				;;

-- 
debian-live/live-helper



More information about the debian-live-changes mailing list